# Tasmotonov

This is a very simple CLI script combined with a small GUI application which allows you to turn on or off multiple tasmota devices specified.


## Name

Maybe it's straightforward or obvious, but just for completeness: the name comes from 

1. The direct bond to tasmota (written for its "API" if one can call the HTTP endpoints an API)
2. The ability to turn on and off tasmota devices ("on" and "off" pronounced directly one after the other sounds (a bit) like "onov")


## Dependencies

The CLI script ([tasmotonov.py](tasmotonov.py)) relies on two libaries apart from python3's standard libraries:

- `fqdn`: for validating the FQDN
- `requests`: for making the HTTP requests 


## License

This project is licensed under the terms of the GNU General Public License v3.0 or later, see [COPYING](COPYING).
